<?php
namespace Mince;

use Index\Http\{HttpResponseBuilder,HttpRequest};
use Index\Http\ErrorHandling\IErrorHandler;
use Sasae\SasaeEnvironment;

class RouterErrorHandler implements IErrorHandler {
    public function __construct(
        private SasaeEnvironment $templating
    ) {}

    public function handle(HttpResponseBuilder $response, HttpRequest $request, int $code, string $message): void {
        $response->setTypeHTML();
        $response->setContent($this->templating->render('http-error', [
            'error' => [
                'code' => sprintf('%03d', $code),
                'text' => $message,
            ],
        ]));
    }
}
